import { GET_PREC_LIST,SET_PREC_SHOW,SET_MOVE } from "../types/preIcss";
import {getPrecList,setPrecShow,setMove} from "../actions/preIcss";

const initState = {
  preData: [],
  preShow: false,
  isMove:false
};
export default function(state = initState, action) {
  switch (action.type) {
    case GET_PREC_LIST:
      return getPrecList(state, action);
    case SET_PREC_SHOW:
      return setPrecShow(state, action);
    case SET_MOVE:
      return setMove(state, action);
    default:
      return state;
  }
}
